./devel/p5-Package-DeprecationManager, Perl 5 module to manage deprecation warnings

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.17nb2, Package name: p5-Package-DeprecationManager-0.17nb2, Maintainer: pkgsrc-users

The Perl 5 module Package::DeprecationManager allows you to manage
a set of deprecations for one or more modules.


Required to run:
[lang/perl5] [devel/p5-Params-Util] [devel/p5-Sub-Install] [devel/p5-namespace-autoclean] [devel/p5-Package-Stash]

Required to build:
[devel/p5-Test-Exception] [devel/p5-Test-Warn] [devel/p5-Sub-Name] [devel/p5-Test-Requires] [devel/p5-Test-Fatal] [devel/p5-Test-Warnings] [pkgtools/cwrappers]

Master sites: (Expand)

SHA1: 0c7790daa2df3c5a19b15ee5f66d6c4d8ccb3b04
RMD160: d8e6397adac725fc951f903ee1268c7829867ad4
Filesize: 26.999 KB

Version history: (Expand)


CVS history: (Expand)


   2018-08-22 11:48:07 by Thomas Klausner | Files touched by this commit (3558)
Log message:
Recursive bump for perl5-5.28.0
   2017-06-05 16:25:36 by Ryo ONODERA | Files touched by this commit (2298)
Log message:
Recursive revbump from lang/perl5 5.26.0
   2016-09-17 04:06:07 by Makoto Fujiwara | Files touched by this commit (2) | Package updated
Log message:
Updated devel/p5-Package-DeprecationManager to 0.17
---------------------------------------------------
0.17     2016-06-17
- Remove use of namespace::autoclean.
   2016-06-09 14:57:17 by Makoto Fujiwara | Files touched by this commit (1)
Log message:
Add BUILD_DEPENDS+= p5-Sub-Name-[0-9]* for make test
   2016-06-08 21:25:20 by Thomas Klausner | Files touched by this commit (2236) | Package updated
Log message:
Bump PKGREVISION for perl-5.24.
   2016-04-15 14:50:17 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
Update p5-Package-DeprecationManager to 0.16 (again)

Cyclic dependency issue is now solved.

0.16     2016-03-21

- The subs installed into the caller are now named with Sub::Name. This makes
  these subs appear to be part of the caller, as opposed to an import, which
  is what we want, since each installed sub is constructed uniquely for a
  given package.
   2016-04-10 04:54:27 by Makoto Fujiwara | Files touched by this commit (1)
Log message:
- Add following lines for make test
  +# for make test
  +BUILD_DEPENDS+=        p5-Test-Warnings-[0-9]*:../../devel/p5-Test-Warnings
  +# following introduce cyclic dependency
  +#UILD_DEPENDS+=        p5-Package-Stash-[0-9]*:../../devel/p5-Package-Stash
   2016-04-09 15:02:08 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
Revert update to 0.16, introduced dependency cycle.